Servers - Create
Membuat server baru atau memperbarui server yang sudah ada. Tindakan pembaruan akan menimpa server yang ada.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforMySQL/flexibleServers/{serverName}?api-version=2021-05-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
Nama grup sumber daya. Nama tidak peka huruf besar/kecil. |
|
server
|
path | True |
|
Nama server. |
|
subscription
|
path | True |
|
ID langganan target. |
|
api-version
|
query | True |
|
Versi API yang digunakan untuk operasi ini. |
Isi Permintaan
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
|
Lokasi geografis tempat sumber daya berada |
| identity.type |
Jenis identitas layanan terkelola. |
||
| identity.userAssignedIdentities |
|
Metadata identitas yang ditetapkan pengguna. |
|
| properties.administratorLogin |
|
Nama masuk administrator server. Hanya dapat ditentukan ketika server sedang dibuat (dan diperlukan untuk pembuatan). |
|
| properties.administratorLoginPassword |
|
Kata sandi login administrator (diperlukan untuk pembuatan server). |
|
| properties.availabilityZone |
|
informasi zona ketersediaan server. |
|
| properties.backup |
Mencadangkan properti terkait server. |
||
| properties.createMode |
Mode untuk membuat server MySQL baru. |
||
| properties.dataEncryption |
Enkripsi Data untuk CMK. |
||
| properties.highAvailability |
Properti terkait ketersediaan tinggi dari server. |
||
| properties.maintenanceWindow |
Jendela pemeliharaan server. |
||
| properties.network |
Properti terkait jaringan server. |
||
| properties.replicationRole |
Peran replikasi. |
||
| properties.restorePointInTime |
|
Waktu pembuatan titik pemulihan (format ISO8601), menentukan waktu untuk memulihkan. |
|
| properties.sourceServerResourceId |
|
Id server MySQL sumber. |
|
| properties.storage |
Storage properti server terkait. |
||
| properties.version |
Versi server. |
||
| sku |
SKU (tingkat harga) server. |
||
| tags |
|
Tag sumber daya. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 201 Created |
Dibuat |
|
| 202 Accepted |
Diterima |
|
| Other Status Codes |
Respons kesalahan yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
| Create a new server |
| Create a replica server |
| Create a server as a point in time restore |
| Create a server with byok |
Create a new server
Sample Request
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver?api-version=2021-05-01
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"administratorLoginPassword": "your_password",
"availabilityZone": "1",
"version": "5.7",
"createMode": "Default",
"storage": {
"storageSizeGB": 100,
"iops": 600,
"autoGrow": "Disabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled"
},
"highAvailability": {
"mode": "ZoneRedundant",
"standbyAvailabilityZone": "3"
}
},
"location": "southeastasia",
"tags": {
"num": "1"
}
}
Sample Response
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"storage": {
"storageSizeGB": 100,
"iops": 600,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "mysqltestserver.database.mysql.azure.com",
"availabilityZone": "1",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "None",
"replicaCapacity": 10,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-17T06:11:38.4150019+00:00"
},
"highAvailability": {
"mode": "ZoneRedundant",
"state": "Healthy",
"standbyAvailabilityZone": "3"
}
},
"location": "Southeast Asia",
"tags": {
"num": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver",
"name": "mysqltestserver",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"storage": {
"storageSizeGB": 100,
"iops": 600,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "mysqltestserver.database.mysql.azure.com",
"availabilityZone": "1",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "None",
"replicaCapacity": 10,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-17T06:11:38.4150019+00:00"
},
"highAvailability": {
"mode": "ZoneRedundant",
"state": "Healthy",
"standbyAvailabilityZone": "3"
}
},
"location": "Southeast Asia",
"tags": {
"num": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver",
"name": "mysqltestserver",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
Create a replica server
Sample Request
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testgr/providers/Microsoft.DBforMySQL/flexibleServers/replica-server?api-version=2021-05-01
{
"location": "SoutheastAsia",
"properties": {
"createMode": "Replica",
"sourceServerResourceId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testgr/providers/Microsoft.DBforMySQL/flexibleServers/source-server"
}
}
Sample Response
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"storage": {
"storageSizeGB": 20,
"iops": 360,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "replica-server.database.mysql.azure.com",
"sourceServerResourceId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testgr/providers/Microsoft.DBforMySQL/flexibleServers/source-server",
"availabilityZone": "3",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "Replica",
"replicaCapacity": 0,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-24T08:19:18.5729164+00:00"
},
"highAvailability": {
"mode": "Disabled",
"state": "NotEnabled"
}
},
"location": "Southeast Asia",
"tags": {
"ElasticServer": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testgr/providers/Microsoft.DBforMySQL/flexibleServers/replica-server",
"name": "replica-server",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"storage": {
"storageSizeGB": 20,
"iops": 360,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "replica-server.database.mysql.azure.com",
"sourceServerResourceId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testgr/providers/Microsoft.DBforMySQL/flexibleServers/source-server",
"availabilityZone": "3",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "Replica",
"replicaCapacity": 0,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-24T08:19:18.5729164+00:00"
},
"highAvailability": {
"mode": "Disabled",
"state": "NotEnabled"
}
},
"location": "Southeast Asia",
"tags": {
"ElasticServer": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testgr/providers/Microsoft.DBforMySQL/flexibleServers/replica-server",
"name": "replica-server",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
Create a server as a point in time restore
Sample Request
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TargetResourceGroup/providers/Microsoft.DBforMySQL/flexibleServers/targetserver?api-version=2021-05-01
{
"location": "SoutheastAsia",
"properties": {
"restorePointInTime": "2021-06-24T00:00:37.467Z",
"createMode": "PointInTimeRestore",
"sourceServerResourceId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/SourceResourceGroup/providers/Microsoft.DBforMySQL/flexibleServers/sourceserver"
},
"sku": {
"name": "Standard_D14_v2",
"tier": "GeneralPurpose"
},
"tags": {
"num": "1"
}
}
Sample Response
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "adminuser",
"storage": {
"storageSizeGB": 20,
"iops": 360,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "targetserver.database.mysql.azure.com",
"availabilityZone": "1",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "None",
"replicaCapacity": 10,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-24T00:15:24.00+00:00"
},
"highAvailability": {
"mode": "Disabled",
"state": "NotEnabled"
}
},
"location": "Southeast Asia",
"tags": {
"num": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TargetResourceGroup/providers/Microsoft.DBforMySQL/flexibleServers/targetserver",
"name": "targetserver",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "adminuser",
"storage": {
"storageSizeGB": 20,
"iops": 360,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "targetserver.database.mysql.azure.com",
"availabilityZone": "1",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "None",
"replicaCapacity": 10,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-24T00:15:24.00+00:00"
},
"highAvailability": {
"mode": "Disabled",
"state": "NotEnabled"
}
},
"location": "Southeast Asia",
"tags": {
"num": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TargetResourceGroup/providers/Microsoft.DBforMySQL/flexibleServers/targetserver",
"name": "targetserver",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
Create a server with byok
Sample Request
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver?api-version=2021-05-01
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-identity": {}
}
},
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"administratorLoginPassword": "your_password",
"availabilityZone": "1",
"version": "5.7",
"createMode": "Default",
"storage": {
"storageSizeGB": 100,
"iops": 600,
"autoGrow": "Disabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled"
},
"highAvailability": {
"mode": "ZoneRedundant",
"standbyAvailabilityZone": "3"
},
"dataEncryption": {
"type": "AzureKeyVault",
"primaryUserAssignedIdentityId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-identity",
"primaryKeyUri": "https://test.vault.azure.net/keys/key/c8a92236622244c0a4fdb892666f671a",
"geoBackupUserAssignedIdentityId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-geo-identity",
"geoBackupKeyUri": "https://test-geo.vault.azure.net/keys/key/c8a92236622244c0a4fdb892666f671a"
}
},
"location": "southeastasia",
"tags": {
"num": "1"
}
}
Sample Response
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"storage": {
"storageSizeGB": 100,
"iops": 600,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "mysqltestserver.database.mysql.azure.com",
"availabilityZone": "1",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "None",
"replicaCapacity": 10,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-17T06:11:38.4150019+00:00"
},
"highAvailability": {
"mode": "ZoneRedundant",
"state": "Healthy",
"standbyAvailabilityZone": "3"
}
},
"location": "Southeast Asia",
"tags": {
"num": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver",
"name": "mysqltestserver",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
{
"sku": {
"name": "Standard_D2ds_v4",
"tier": "GeneralPurpose"
},
"properties": {
"administratorLogin": "cloudsa",
"storage": {
"storageSizeGB": 100,
"iops": 600,
"autoGrow": "Enabled",
"storageSku": "Premium_LRS"
},
"version": "5.7",
"state": "Ready",
"fullyQualifiedDomainName": "mysqltestserver.database.mysql.azure.com",
"availabilityZone": "1",
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"replicationRole": "None",
"replicaCapacity": 10,
"network": {
"publicNetworkAccess": "Enabled"
},
"backup": {
"backupRetentionDays": 7,
"geoRedundantBackup": "Disabled",
"earliestRestoreDate": "2021-06-17T06:11:38.4150019+00:00"
},
"highAvailability": {
"mode": "ZoneRedundant",
"state": "Healthy",
"standbyAvailabilityZone": "3"
}
},
"location": "Southeast Asia",
"tags": {
"num": "1"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver",
"name": "mysqltestserver",
"type": "Microsoft.DBforMySQL/flexibleServers"
}
Definisi
| Backup |
Storage Properti profil server |
|
Cloud |
Respons kesalahan dari layanan Batch. |
|
created |
Jenis identitas yang membuat sumber daya. |
|
Create |
Mode untuk membuat server MySQL baru. |
|
Data |
Enkripsi tanggal untuk cmk. |
|
Data |
Jenis kunci, AzureKeyVault untuk mengaktifkan cmk, SystemManaged untuk menonaktifkan cmk. |
|
Enable |
Enum untuk menunjukkan apakah nilainya 'Diaktifkan' atau 'Dinonaktifkan' |
|
Error |
Info tambahan kesalahan manajemen sumber daya. |
|
Error |
Respons Kesalahan |
|
High |
Properti terkait jaringan server |
|
High |
Mode ketersediaan tinggi untuk server. |
|
High |
Status ketersediaan tinggi server. |
|
Maintenance |
Jendela pemeliharaan server. |
|
Managed |
Jenis identitas layanan terkelola. |
| Network |
Properti terkait jaringan server |
|
Replication |
Peran replikasi. |
| Server |
Mewakili server. |
|
Server |
Status server. |
|
Server |
Versi server. |
| Sku |
Properti terkait informasi penagihan server. |
|
Sku |
Tingkat SKU tertentu, misalnya GeneralPurpose. |
| Storage |
Storage Properti profil server |
|
system |
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya. |
Backup
Storage Properti profil server
| Name | Type | Description |
|---|---|---|
| backupRetentionDays |
|
Hari retensi cadangan untuk server. |
| earliestRestoreDate |
|
Waktu pembuatan titik pemulihan paling awal (format ISO8601) |
| geoRedundantBackup |
Apakah pencadangan redundan geografis diaktifkan atau tidak. |
CloudError
Respons kesalahan dari layanan Batch.
| Name | Type | Description |
|---|---|---|
| error |
Respons Kesalahan |
createdByType
Jenis identitas yang membuat sumber daya.
| Name | Type | Description |
|---|---|---|
| Application |
|
|
| Key |
|
|
| ManagedIdentity |
|
|
| User |
|
CreateMode
Mode untuk membuat server MySQL baru.
| Name | Type | Description |
|---|---|---|
| Default |
|
|
| GeoRestore |
|
|
| PointInTimeRestore |
|
|
| Replica |
|
DataEncryption
Enkripsi tanggal untuk cmk.
| Name | Type | Description |
|---|---|---|
| geoBackupKeyUri |
|
Uri kunci cadangan geografis karena brankas kunci tidak dapat melintasi wilayah, membutuhkan cmk di wilayah yang sama dengan cadangan geografis |
| geoBackupUserAssignedIdentityId |
|
Id sumber daya identitas pengguna cadangan geografis karena identitas tidak dapat melintasi wilayah, memerlukan identitas di wilayah yang sama dengan cadangan geografis |
| primaryKeyUri |
|
Uri kunci primer |
| primaryUserAssignedIdentityId |
|
Id sumber daya identitas pengguna utama |
| type |
Jenis kunci, AzureKeyVault untuk mengaktifkan cmk, SystemManaged untuk menonaktifkan cmk. |
DataEncryptionType
Jenis kunci, AzureKeyVault untuk mengaktifkan cmk, SystemManaged untuk menonaktifkan cmk.
| Name | Type | Description |
|---|---|---|
| AzureKeyVault |
|
|
| SystemManaged |
|
EnableStatusEnum
Enum untuk menunjukkan apakah nilainya 'Diaktifkan' atau 'Dinonaktifkan'
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
ErrorAdditionalInfo
Info tambahan kesalahan manajemen sumber daya.
| Name | Type | Description |
|---|---|---|
| info |
|
Info tambahan. |
| type |
|
Jenis info tambahan. |
ErrorResponse
Respons Kesalahan
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Info tambahan kesalahan. |
|
| code |
|
Kode kesalahan. |
| details |
Detail kesalahan. |
|
| message |
|
Pesan kesalahan. |
| target |
|
Target kesalahan. |
HighAvailability
Properti terkait jaringan server
| Name | Type | Description |
|---|---|---|
| mode |
Mode ketersediaan tinggi untuk server. |
|
| standbyAvailabilityZone |
|
Zona ketersediaan server siaga. |
| state |
Status ketersediaan tinggi server. |
HighAvailabilityMode
Mode ketersediaan tinggi untuk server.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| SameZone |
|
|
| ZoneRedundant |
|
HighAvailabilityState
Status ketersediaan tinggi server.
| Name | Type | Description |
|---|---|---|
| CreatingStandby |
|
|
| FailingOver |
|
|
| Healthy |
|
|
| NotEnabled |
|
|
| RemovingStandby |
|
MaintenanceWindow
Jendela pemeliharaan server.
| Name | Type | Description |
|---|---|---|
| customWindow |
|
menunjukkan apakah jendela kustom diaktifkan atau dinonaktifkan |
| dayOfWeek |
|
hari dalam seminggu untuk jendela pemeliharaan |
| startHour |
|
jam mulai untuk jendela pemeliharaan |
| startMinute |
|
menit mulai untuk jendela pemeliharaan |
ManagedServiceIdentityType
Jenis identitas layanan terkelola.
| Name | Type | Description |
|---|---|---|
| UserAssigned |
|
Network
Properti terkait jaringan server
| Name | Type | Description |
|---|---|---|
| delegatedSubnetResourceId |
|
Id sumber daya subnet yang didelegasikan digunakan untuk menyiapkan vnet untuk server. |
| privateDnsZoneResourceId |
|
Id sumber daya zona DNS privat. |
| publicNetworkAccess |
Apakah akses jaringan publik diperbolehkan untuk server ini atau tidak. Nilai adalah 'Dinonaktifkan' ketika server memiliki integrasi VNet. |
ReplicationRole
Peran replikasi.
| Name | Type | Description |
|---|---|---|
| None |
|
|
| Replica |
|
|
| Source |
|
Server
Mewakili server.
| Name | Type | Description |
|---|---|---|
| id |
|
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity.principalId |
|
ObjectId dari KeyVault |
| identity.tenantId |
|
TenantId dari KeyVault |
| identity.type |
Jenis identitas layanan terkelola. |
|
| identity.userAssignedIdentities |
|
Metadata identitas yang ditetapkan pengguna. |
| location |
|
Lokasi geografis tempat sumber daya berada |
| name |
|
Nama sumber daya. |
| properties.administratorLogin |
|
Nama masuk administrator server. Hanya dapat ditentukan ketika server sedang dibuat (dan diperlukan untuk pembuatan). |
| properties.administratorLoginPassword |
|
Kata sandi login administrator (diperlukan untuk pembuatan server). |
| properties.availabilityZone |
|
informasi zona ketersediaan server. |
| properties.backup |
Mencadangkan properti terkait server. |
|
| properties.createMode |
Mode untuk membuat server MySQL baru. |
|
| properties.dataEncryption |
Enkripsi Data untuk CMK. |
|
| properties.fullyQualifiedDomainName |
|
Nama domain server yang sepenuhnya memenuhi syarat. |
| properties.highAvailability |
Properti terkait ketersediaan tinggi dari server. |
|
| properties.maintenanceWindow |
Jendela pemeliharaan server. |
|
| properties.network |
Properti terkait jaringan server. |
|
| properties.replicaCapacity |
|
Jumlah maksimum replika yang dapat dimiliki server utama. |
| properties.replicationRole |
Peran replikasi. |
|
| properties.restorePointInTime |
|
Waktu pembuatan titik pemulihan (format ISO8601), menentukan waktu untuk memulihkan. |
| properties.sourceServerResourceId |
|
Id server MySQL sumber. |
| properties.state |
Status server. |
|
| properties.storage |
Storage properti server terkait. |
|
| properties.version |
Versi server. |
|
| sku |
SKU (tingkat harga) server. |
|
| systemData |
Metadata sistem yang berkaitan dengan sumber daya ini. |
|
| tags |
|
Tag sumber daya. |
| type |
|
Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft. Storage/storageAccounts" |
ServerState
Status server.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Dropping |
|
|
| Ready |
|
|
| Starting |
|
|
| Stopped |
|
|
| Stopping |
|
|
| Updating |
|
ServerVersion
Versi server.
| Name | Type | Description |
|---|---|---|
| 5.7 |
|
|
| 8.0.21 |
|
Sku
Properti terkait informasi penagihan server.
| Name | Type | Description |
|---|---|---|
| name |
|
Nama sku, misalnya Standard_D32s_v3. |
| tier |
Tingkat SKU tertentu, misalnya GeneralPurpose. |
SkuTier
Tingkat SKU tertentu, misalnya GeneralPurpose.
| Name | Type | Description |
|---|---|---|
| Burstable |
|
|
| GeneralPurpose |
|
|
| MemoryOptimized |
|
Storage
Storage Properti profil server
| Name | Type | Description |
|---|---|---|
| autoGrow |
Aktifkan Storage Tumbuh Otomatis atau tidak. |
|
| iops |
|
Storage IOPS untuk server. |
| storageSizeGB |
|
Ukuran penyimpanan maksimum yang diizinkan untuk server. |
| storageSku |
|
Nama sku penyimpanan server. |
systemData
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.
| Name | Type | Description |
|---|---|---|
| createdAt |
|
Tanda waktu pembuatan sumber daya (UTC). |
| createdBy |
|
Identitas yang membuat sumber daya. |
| createdByType |
Jenis identitas yang membuat sumber daya. |
|
| lastModifiedAt |
|
Tanda waktu modifikasi terakhir sumber daya (UTC) |
| lastModifiedBy |
|
Identitas yang terakhir memodifikasi sumber daya. |
| lastModifiedByType |
Jenis identitas yang terakhir mengubah sumber daya. |